/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ArticuloDAO;
import com.rjconsultores.ventaboletos.entidad.Articulo;
import com.rjconsultores.ventaboletos.service.ArticuloService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 
 * @author Administrador
 */
@Service("articuloService")
public class ArticuloServiceImpl implements ArticuloService {

	@Autowired
	private ArticuloDAO articuloDAO;

	public List<Articulo> obtenerTodos() {
		return articuloDAO.obtenerTodos();
	}

	public Articulo obtenerID(Integer id) {
		return articuloDAO.obtenerID(id);
	}

	@Transactional
	public Articulo suscribir(Articulo entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return articuloDAO.suscribir(entidad);
	}

	@Transactional
	public Articulo actualizacion(Articulo entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return articuloDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(Articulo entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		articuloDAO.actualizacion(entidad);
	}

	public List<Articulo> buscar(String descarticulo) {
		return articuloDAO.buscar(descarticulo);
	}
}
